import request from '@/utils/request'

export function hotelRoom(data) {
  return request({
    url: '/hotelRoomList',
    method: 'post',
    data: {
      roomNo: data.roomNo,
      roomName: data.roomName,
      price: data.price,
      roomStatus: data.roomStatus,
      beginTime: data.beginTime,
      endTime: data.endTime,
      sort: data.sort,
      pageNum: data.pageNum,
      pageSize: data.pageSize
    }
  })
}
export function hotelRoomAdd(data) {
  return request({
    url: '/hotelRoomAdd',
    method: 'post',
    data: {
      roomNo: data.roomNo,
      roomName: data.roomName,
      price: data.price,
      roomStatus: data.roomStatus,
      sort: data.sort,
      remark: data.remark
    }
  })
}
export function hotelRoomEdit(data) {
  return request({
    url: '/hotelRoomEdit',
    method: 'post',
    data: {
      id: data.id,
      roomNo: data.roomNo,
      roomName: data.roomName,
      price: data.price,
      roomStatus: data.roomStatus,
      sort: data.sort,
      remark: data.remark
    }
  })
}
export function getRoomId(data) {
  return request({
    url: '/getRoom',
    method: 'post',
    data: {
      id: data.id
    }
  })
}
export function hotelRoomRoomStatus(data) {
  return request({
    url: '/hotelRoomRoomStatus',
    method: 'post',
    data: {
      id: data.roomStatusIds,
      roomStatus: data.roomStatus
    }
  })
}
export function updateHotel(data) {
  return request({
    url: '/addHotel',
    method: 'post',
    data: data
  })
}
export function getHotelData(data) {
  return request({
    url: '/getHotelData',
    method: 'get'
  })
}

